Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIGraphValidator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractGraphValidator
                  org.richfaces.component.UIGraphValidator

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.3.CR1"})
    public class UIGraphValidator

extends AbstractGraphValidator

The <rich:graphValidator> component is used to wrap a set of input components related to one object. The object defined by the <rich:graphValidator> component can then be completely validated. The validation includes all object properties, even those which are not bound to the individual form components. Validation performed in this way allows for cross-field validation in complex forms.

Nested Class Summary
`protected static class` | `UIGraphValidator.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIGraphValidator()`

Method Summary
`String` | `getFamily()`
`Class<?>[]` | `getGroups()` Get set of profiles for validation
`String` | `getSummary()` Get object for validation
`String` | `getType()` Get graph validator Id.
`Object` | `getValue()` Get object for validation
`void` | `setGroups(Class<?>[] groups)` Set set of profiles for validation
`void` | `setSummary(String summary)` Set object for validation
`void` | `setType(String type)` Set graph validator Id.
`void` | `setValue(Object value)` Set object for validation

Methods inherited from class org.richfaces.component.AbstractGraphValidator
`createChildrenValidator, getValidatorState, processDecodes, processUpdates, processValidators`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIGraphValidator

    public UIGraphValidator()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getGroups

    public Class<?>[] getGroups()

  Description copied from class: `AbstractGraphValidator`
  Get set of profiles for validation

  Specified by:
    `getGroups` in class `AbstractGraphValidator`
  Returns:

### setGroups

    public void setGroups(Class<?>[] groups)

  Description copied from class: `AbstractGraphValidator`
  Set set of profiles for validation

  Specified by:
    `setGroups` in class `AbstractGraphValidator`

### getSummary

    public String getSummary()

  Description copied from class: `AbstractGraphValidator`
  Get object for validation

  Specified by:
    `getSummary` in class `AbstractGraphValidator`
  Returns:

### setSummary

    public void setSummary(String summary)

  Description copied from class: `AbstractGraphValidator`
  Set object for validation

  Specified by:
    `setSummary` in class `AbstractGraphValidator`

### getType

    public String getType()

  Description copied from class: `AbstractGraphValidator`
  Get graph validator Id.

  Specified by:
    `getType` in class `AbstractGraphValidator`
  Returns:

### setType

    public void setType(String type)

  Description copied from class: `AbstractGraphValidator`
  Set graph validator Id.

  Specified by:
    `setType` in class `AbstractGraphValidator`

### getValue

    public Object getValue()

  Description copied from class: `AbstractGraphValidator`
  Get object for validation

  Specified by:
    `getValue` in class `AbstractGraphValidator`
  Returns:

### setValue

    public void setValue(Object value)

  Description copied from class: `AbstractGraphValidator`
  Set object for validation

  Specified by:
    `setValue` in class `AbstractGraphValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.